DC_IRDA_OPEN(3)

NAME
dc_irda_open - Opens an iostream for a IrDA device

LIBRARY
libdivecomputer

SYNOPSIS
#include <libdivecomputer/irda.h>
dc_status_t
dc_irda_open(dc_iostream_t **iostream, dc_context_t *context, unsigned int address, unsigned int lsap);

DESCRIPTION
Opens an iostream for a IrDA (Infra Red) device. Accepts a context opened with dc_context_new(3), address given through dc_irda_iterator_new(3) together with dc_irda_device_get_address(3) , the last argument lsap is a port number used during the communication. Currently only Uwatec computers use IrDA comminication and for those the lsap can be hardcoded to 1

Upon returning DC_STATUS_SUCCESS, the iostream pointer must be freed with dc_iostream_close(3).

RETURN VALUES
Returns DC_STATUS_SUCCESS on success or one of several error values on error. On success, the iostream pointer is filled in with an open handle.

SEE ALSO
dc_context_new(3), dc_iostream_close(3), dc_serial_open(3), dc_usbhid_open(3), dc_bluetooth_open(3), dc_irda_iterator_new(3), dc_irda_device_get_address(3).

AUTHORS
The libdivecomputer library was written by Jef Driesen, jef@libdivecomputer.org.
This manpage is written by Vincent Hagen, vinnie@script4web.nl.